petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscSectionAddConstraintDof

Increment the number of constrained degrees of freedom associated with a given point.

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscSectionAddConstraintDof(PetscSection s, PetscInt point, PetscInt numDof)

Not collective

### Input Parameters

| s | - the PetscSection
| point | - the point
| numDof | - the number of additional dof which are fixed by constraints

### See Also

PetscSectionAddDof(), PetscSectionGetConstraintDof(), PetscSectionCreate()

Level:intermediate
Location:src/vec/is/utils/vsectionis.c
Index of all IS routines
Table of Contents for all manual pages
Index of all manual pages